Documents

Document Solution Configuration Delete

DELETE
/documents/configuration/{documentSolutionConfigurationGuid}/delete

Soft-deletes a document solution configuration by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentSolutionConfigurationGuid*string

GUID of the document solution configuration to delete.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/configuration/a3bb189e-8bf9-3888-9912-ace4e6543002/delete"
{  "result": {    "data": {      "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",      "message": "DocumentSolutionConfiguration deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "https://app.example.com",  "dateTime": "2026-07-14T09:30:00.0000000+00:00",  "operationId": "0HN7GK9M4T2R5"}
{  "code": "DATA_NAME_REQUIRED",  "message": "Name is required."}
Empty
Empty
{  "code": "GET_DATA_SOURCE_ERROR",  "message": "An unexpected error occurred.",  "eventId": "a1b2c3d4"}